Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# openvrml::script_node::url_changed_emitter Class Reference

`#include <openvrml/script.h>`

Inheritance diagram for openvrml::script_node::url_changed_emitter:

[legend]

List of all members.

## Detailed Description

`url_changed` event emitter.

For internal use only.

## Public Member Functions

| url_changed_emitter (const mfstring &value) throw ()
| Construct.
virtual | ~url_changed_emitter () throw ()
| Destroy.

## Private Member Functions

virtual const std::string | do_eventout_id () const throw ()
| The `eventOut` identifier.

## Constructor & Destructor Documentation

openvrml::script_node::url_changed_emitter::url_changed_emitter | ( | const mfstring & | value | ) | throw ()`[explicit]`

Construct.

Parameters:

  `[in]` | value | the associated field value.

openvrml::script_node::url_changed_emitter::~url_changed_emitter | ( |  | ) | throw ()`[virtual]`

Destroy.

## Member Function Documentation

const std::string openvrml::script_node::url_changed_emitter::do_eventout_id | ( |  | ) | const throw ()`[private, virtual]`

The `eventOut` identifier.

Returns:
  the `eventOut` identifier.

Implements openvrml::event_emitter.